package de.ozgcloud.eingang.xta;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import java.util.List;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;

class XtaCurrentIdentifierServiceTest {

	private static final String IDENTIFIER1 = "identifier1";
	private static final String IDENTIFIER2 = "identifier2";
	private static final List<String> IDENTIFIERS = List.of(IDENTIFIER1, IDENTIFIER2);

	@Spy
	@InjectMocks
	private XtaCurrentIdentifierService service;

	@Mock
	private XtaProperties properties;

	@DisplayName("get identifiers")
	@Nested
	class TestGetIdentifiers {
		@BeforeEach
		void mock() {
			when(properties.getIdentifiers()).thenReturn(IDENTIFIERS);
		}

		@DisplayName("should return")
		@Test
		void shouldReturn() {
			assertThat(service.getIdentifiers()).isEqualTo(IDENTIFIERS);
		}
	}

}
